<?php

namespace jrosset\Collections;

/**
 * An immutable collection with insensitive case keys
 *
 * @template TKey of array-key
 * @template TValue
 *
 * @implements ImmutableCollection<TKey, TValue>
 */
class InsensitiveCaseKeyImmutableCollection extends ImmutableCollection implements IImmutableCollection {
    use TInsensitiveCaseKey;
}