<?php

namespace jrosset\Collections;

/**
 * An immutable collection with unique values
 *
 * @template TKey of array-key
 * @template TValue
 *
 * @implements ImmutableCollection<TKey, TValue>
 * @implements TUniqueValues<TKey, TValue>
 */
class UniqueImmutableCollection extends ImmutableCollection {
    use TUniqueValues;
}